Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseElementDataset

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementDataset

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable, JRElementDataset

Direct Known Subclasses:
  JRBaseChartDataset, JRBaseCrosstabDataset, JRDesignElementDataset

    public abstract class JRBaseElementDataset

extends java.lang.Object
implements JRElementDataset, java.io.Serializable

Version:
  $Id: JRBaseElementDataset.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRDatasetRun` | `datasetRun`
`protected JRGroup` | `incrementGroup`
`protected IncrementTypeEnum` | `incrementTypeValue`
`protected JRExpression` | `incrementWhenExpression`
`protected JRGroup` | `resetGroup`
`protected ResetTypeEnum` | `resetTypeValue`

Constructor Summary
`protected` | `JRBaseElementDataset()`
`protected` | `JRBaseElementDataset(JRElementDataset dataset)`
`protected` | `JRBaseElementDataset(JRElementDataset dataset, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRDatasetRun` | `getDatasetRun()` Returns the sub dataset run for this chart dataset.
`JRGroup` | `getIncrementGroup()` Gets the selected increment group in case of increment type group.
`byte` | `getIncrementType()` Deprecated. Replaced by `getIncrementTypeValue()`.
`IncrementTypeEnum` | `getIncrementTypeValue()` Returns the increment type.
`JRExpression` | `getIncrementWhenExpression()` Returns the "increment when" expression.
`JRGroup` | `getResetGroup()` Gets the selected reset group in case of reset type group.
`byte` | `getResetType()` Deprecated. Replaced by `getResetTypeValue()`.
`ResetTypeEnum` | `getResetTypeValue()` Gets the reset type.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`collectExpressions`

Field Detail

### resetTypeValue

    protected ResetTypeEnum resetTypeValue

### incrementTypeValue

    protected IncrementTypeEnum incrementTypeValue

### resetGroup

    protected JRGroup resetGroup

### incrementGroup

    protected JRGroup incrementGroup

### datasetRun

    protected JRDatasetRun datasetRun

### incrementWhenExpression

    protected JRExpression incrementWhenExpression

Constructor Detail

### JRBaseElementDataset

    protected JRBaseElementDataset()

### JRBaseElementDataset

    protected JRBaseElementDataset(JRElementDataset dataset)

### JRBaseElementDataset

    protected JRBaseElementDataset(JRElementDataset dataset,
                                   JRBaseObjectFactory factory)

Method Detail

### getResetType

    public byte getResetType()

  Deprecated. Replaced by `getResetTypeValue()`.

  Specified by:
    `getResetType` in interface `JRElementDataset`

### getIncrementType

    public byte getIncrementType()

  Deprecated. Replaced by `getIncrementTypeValue()`.

  Specified by:
    `getIncrementType` in interface `JRElementDataset`

### getResetTypeValue

    public ResetTypeEnum getResetTypeValue()

  Description copied from interface: `JRElementDataset`
  Gets the reset type. This specifies the range of report data used for filling the dataset.

  Specified by:
    `getResetTypeValue` in interface `JRElementDataset`
  Returns:
    one of the reset constants in `ResetTypeEnum`

### getIncrementTypeValue

    public IncrementTypeEnum getIncrementTypeValue()

  Description copied from interface: `JRElementDataset`
  Returns the increment type. This specifies dataset values increment step.

  Specified by:
    `getIncrementTypeValue` in interface `JRElementDataset`
  Returns:
    one of the increment constants in `IncrementTypeEnum`.

### getResetGroup

    public JRGroup getResetGroup()

  Description copied from interface: `JRElementDataset`
  Gets the selected reset group in case of reset type group.

  Specified by:
    `getResetGroup` in interface `JRElementDataset`

### getIncrementGroup

    public JRGroup getIncrementGroup()

  Description copied from interface: `JRElementDataset`
  Gets the selected increment group in case of increment type group.

  Specified by:
    `getIncrementGroup` in interface `JRElementDataset`

### getDatasetRun

    public JRDatasetRun getDatasetRun()

  Description copied from interface: `JRElementDataset`
  Returns the sub dataset run for this chart dataset.

  Specified by:
    `getDatasetRun` in interface `JRElementDataset`
  Returns:
    the sub dataset run for this chart dataset

### getIncrementWhenExpression

    public JRExpression getIncrementWhenExpression()

  Description copied from interface: `JRElementDataset`
  Returns the "increment when" expression.

  This expression determines whether a dataset will be incremented or not.

  The expression (if not null) is evaluated before each increment of the dataset. The increment will be carried on only when the result of the evaluation is `Boolean.TRUE`; if the result is null or false, the increment will not be performed.

  Specified by:
    `getIncrementWhenExpression` in interface `JRElementDataset`
  Returns:
    the "increment when" expression

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com